// RsViewPlugin.cpp : Implementation of DLL Exports.


#include "stdafx.h"
#include "resource.h"
#include "RpViewPackage.h"


// The module attribute causes DllMain, DllRegisterServer and DllUnregisterServer to be automatically implemented for you
[ module(dll, uuid = "{7A6E5FD6-6C62-484D-9D62-27EC4929E5FF}", 
		 name = "RsViewPlugin", 
		 helpstring = "RsViewPlugin 1.0 Type Library",
		 resource_name = "IDR_RSVIEWPLUGIN") ]
class CRsViewPluginModule
{
public:
// Override CAtlDllModuleT members
};
		 

#ifdef __cplusplus    // If used by C++ code, 
extern "C" {          // we need to export the C interface
#endif

	__declspec(dllexport) HRESULT __cdecl GetRosettaPackage(IRsUnknownPackage **ppPackage)
	{
		CComObject<CRpViewPackage> *pPackage = NULL;
		HRESULT hRes = CComObject<CRpViewPackage>::CreateInstance(&pPackage);
		if (FAILED(hRes))
			return hRes;
		CComQIPtr<IRsUnknownPackage> spPackage = pPackage;
		if (!pPackage)
			return E_NOINTERFACE;
		return spPackage.CopyTo(ppPackage);
	}

#ifdef __cplusplus
}
#endif